<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Added the entity OrderData.
    -->
    <changeSet id="20231215015610-1" author="jhipster">
        <createTable tableName="order_data">
            <column name="id" type="bigint" autoIncrement="true" startWith="1500">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="ppk_nomor" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="ppk_tanggal" type="date">
                <constraints nullable="true" />
            </column>
            <column name="nasabah_nama" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="nasabah_jenis" type="integer">
                <constraints nullable="true" />
            </column>
            <column name="tanggal" type="date">
                <constraints nullable="true" />
            </column>
            <column name="status" type="integer">
                <constraints nullable="true" />
            </column>
            <column name="type" type="integer">
                <constraints nullable="true" />
            </column>
            <column name="raw_data_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <column name="sk_subtitusi_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <column name="berkas_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <column name="cabang_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
    </changeSet>

    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20231215015610-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/order_data.csv"
                  separator=";"
                  tableName="order_data"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
            <column name="ppk_nomor" type="string"/>
            <column name="ppk_tanggal" type="date"/>
            <column name="nasabah_nama" type="string"/>
            <column name="nasabah_jenis" type="numeric"/>
            <column name="tanggal" type="date"/>
            <column name="status" type="numeric"/>
            <column name="type" type="numeric"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>
</databaseChangeLog>
